| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::CompositionTechnique::TextureDefinition Class Reference

Local texture definition. More...

`#include <OgreCompositionTechnique.h>`

Inheritance diagram for Ogre::CompositionTechnique::TextureDefinition:
[legend]

## Public Member Functions
| TextureDefinition ()

## Public Attributes
uint16 | depthBufferId
PixelFormatList | formatList
bool | fsaa
size_t | height
float | heightFactor
bool | hwGammaWrite
String | name
bool | pooled
String | refCompName
String | refTexName
TextureScope | scope
size_t | width
float | widthFactor

## Detailed Description

Local texture definition.

## Constructor & Destructor Documentation

## ◆ TextureDefinition()

Ogre::CompositionTechnique::TextureDefinition::TextureDefinition | ( |  | ) |
| inline

## Member Data Documentation

## ◆ name

String Ogre::CompositionTechnique::TextureDefinition::name

## ◆ refCompName

String Ogre::CompositionTechnique::TextureDefinition::refCompName

## ◆ refTexName

String Ogre::CompositionTechnique::TextureDefinition::refTexName

## ◆ width

size_t Ogre::CompositionTechnique::TextureDefinition::width

## ◆ height

size_t Ogre::CompositionTechnique::TextureDefinition::height

## ◆ widthFactor

float Ogre::CompositionTechnique::TextureDefinition::widthFactor

## ◆ heightFactor

float Ogre::CompositionTechnique::TextureDefinition::heightFactor

## ◆ formatList

PixelFormatList Ogre::CompositionTechnique::TextureDefinition::formatList

## ◆ fsaa

bool Ogre::CompositionTechnique::TextureDefinition::fsaa

## ◆ hwGammaWrite

bool Ogre::CompositionTechnique::TextureDefinition::hwGammaWrite

## ◆ depthBufferId

uint16 Ogre::CompositionTechnique::TextureDefinition::depthBufferId

## ◆ pooled

bool Ogre::CompositionTechnique::TextureDefinition::pooled

## ◆ scope

TextureScope Ogre::CompositionTechnique::TextureDefinition::scope

The documentation for this class was generated from the following file:

- OgreCompositionTechnique.h